﻿@using System.Globalization
@using System.Security.Claims
@using SonicHRM.DomainLogics
@model SonicHRM.Models.ApplicationModels.ApplicationUser

@inject PunchLogices PunchLogices

@{
    ViewData["Title"] = "Profile";
    var userId = User.FindFirstValue(ClaimTypes.NameIdentifier);
    var todaysPunchs = PunchLogices.GetTodaysPunches(userId);
}

@section Styles{
    <link rel="stylesheet" href="~/css/page-specific/profile.css" />
}

<section class="content">
    <!-- Small boxes (Stat box) -->
    <div class="row">
        <div class="col-md-6">
            <div class="box box-success">
                <div class="card hovercard">
                    <div class="cardheader">
                    </div>
                    <div class="avatar">
                        <img alt="" src="@Model?.Photo?.ImageDataBase64">
                    </div>
                    <div class="info">
                        <div class="title">
                            @Model?.Name
                        </div>
                        <div class="desc">@Model?.Designation.DesignationName</div>
                        <div class="desc">@Model.Email</div>
                        @*<div class="desc">Tech geek</div>*@
                    </div>
                    @*<div class="bottom">
                            <a class="btn btn-primary btn-twitter btn-sm" href="https://twitter.com/webmaniac">
                                <i class="fa fa-twitter"></i>
                            </a>
                            <a class="btn btn-danger btn-sm" rel="publisher"
                               href="https://plus.google.com/+ahmshahnuralam">
                                <i class="fa fa-google-plus"></i>
                            </a>
                            <a class="btn btn-primary btn-sm" rel="publisher"
                               href="https://plus.google.com/shahnuralam">
                                <i class="fa fa-facebook"></i>
                            </a>
                            <a class="btn btn-warning btn-sm" rel="publisher" href="https://plus.google.com/shahnuralam">
                                <i class="fa fa-behance"></i>
                            </a>
                        </div>*@
                </div>
            </div>
        </div>

        <div class="col-md-6">
            <div class="box box-success">
                <div class="box-header with-border">
                    <i class="fa fa-user"></i>
                    <h3 class="box-title">Employee Details</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <dl class="dl-horizontal">
                        <dt>@Html.DisplayNameFor(model => model.Name)</dt>
                        <dd>@Html.DisplayFor(model => model.Name)</dd>
                        <dt>@Html.DisplayNameFor(model => model.Designation.DesignationName)</dt>
                        <dd>@Html.DisplayFor(model => model.Designation.DesignationName)</dd>
                        <dt>@Html.DisplayNameFor(model => model.Education)</dt>
                        <dd>@Html.DisplayFor(model => model.Education)</dd>
                        <dt>@Html.DisplayNameFor(model => model.Address)</dt>
                        <dd>@Html.DisplayFor(model => model.Address)</dd>
                        <dt>@Html.DisplayNameFor(model => model.Designation.SalaryInfo)</dt>
                        <dd>

                        </dd>
                    </dl>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- ./col -->
    </div>
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Today's Punches</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Time</th>
                                <th>Punch Type</th>
                                <th>Remark</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var punch in todaysPunchs)
                            {
                                <tr>
                                    <td></td>
                                    <td>@punch.WorkingDateTime.ToString("hh:mm:ss tt")</td>
                                    <td>@punch.Punchtype</td>
                                    <td></td>
                                </tr>
                            }
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>#</th>
                                <th>Time</th>
                                <th>Punch Type</th>
                                <th>Remark</th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
    </div>
</section>